Bug Hunting Session
Bug 111798 - FILESAVE PPTX: Flipped and rotated shapes get deformed when exported
Summary: FILESAVE PPTX: Flipped and rotated shapes get deformed when exported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Paul Trojahn
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-14 10:49 UTC by Paul Trojahn
Modified: 2017-08-25 14:28 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Trojahn 2017-08-14 10:49:26 UTC
Description:
Some shapes(like arrows) get exported deformed and in the wrong position if they are rotated and flipped. The exported shape looks the same in LibreOffice and MSO.

Steps to Reproduce:
1.Create an arrow.
2.Flip and rotate it.
3.Save and reload.

Actual Results:  
The shape is deformed.

Expected Results:
It should look the same.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.78 Safari/537.36
Comment 1 MM 2017-08-14 19:21:25 UTC
Dup of bug 100065 or else bug 68759 ?
Comment 2 Paul Trojahn 2017-08-23 21:38:13 UTC
(In reply to MM from comment #1)
> Dup of bug 100065 or else bug 68759 ?

No. Pretty sure these a separate issues.
Comment 3 Commit Notification 2017-08-24 14:27:16 UTC
Paul Trojahn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73ee631e58f392415f23e98460ff4b2f3a763d37

tdf#111798 Fix deformed export of flipped custom shapes to pptx

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.